### Method

# WPEWebProcessExtension Frame get_uri

since: 2.2

#### Declaration [src]

    const gchar*
    webkit_frame_get_uri (
      WebKitFrame* frame
    )

#### Description [src]

Gets the current active URI of `frame`.

Available since: 2.2

#### Return value

Type: `const gchar*`

The current active URI of `frame` or `NULL` if nothing has been loaded yet.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.